OpenJPEG 'mqc.c' Remote Heap Based Buffer Overflow Vulnerability

Bugtraq ID: 100633
Class: Boundary Condition Error
CVE: CVE-2017-14151
Remote: Yes
Local: No
Published: Sep 05 2017 12:00AM
Updated: Sep 05 2017 12:00AM
Credit: Agostino Sarubbo of Gentoo.
Vulnerable: Redhat Enterprise Linux 7
Redhat Enterprise Linux 6
+ Trustix Secure Enterprise Linux 2.0
+ Trustix Secure Linux 2.2
+ Trustix Secure Linux 2.1
+ Trustix Secure Linux 2.0
OpenJPEG OpenJPEG 2.1.2
OpenJPEG OpenJPEG 2.1.1
OpenJPEG OpenJPEG 2.1
OpenJPEG OpenJPEG 1.5
OpenJPEG OpenJPEG 2.0.0
OpenJPEG OpenJPEG 1.5.2
OpenJPEG OpenJPEG 1.5.1
OpenJPEG OpenJPEG 1.5
OpenJPEG OpenJPEG 1.4
OpenJPEG OpenJPEG 1.3
OpenJPEG OpenJPEG 1.0
Not Vulnerable: OpenJPEG OpenJPEG 2.2.0


 

Privacy Statement
Copyright 2010, SecurityFocus